curl -G 'https://api.yativo.com/api/v1/card-checkout/customers/4f0c1e1a-8d2b-4c7e-9b1a-3e5f6a7b8c9d/supported-payout-methods' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET' \
--data-urlencode 'country=US' \
--data-urlencode 'supported_payout_method_id=podst_ach'
{
"status": "success",
"status_code": 200,
"message": "Request successful",
"data": {
"customer_id": "<string>",
"country": "US",
"supported_payout_methods": [
{
"id": "podst_ach",
"name": "ACH Bank Deposit",
"delivery_type": "bank_deposit",
"supports_standard_delivery": true,
"supports_instant_delivery": true,
"required_fields": [
{
"id": "fld_bank_account_number",
"label": "Account number",
"type": "bank_account_number",
"input_type": "text",
"required": true,
"sensitive": true,
"placeholder": "<string>",
"options": [
"<string>"
],
"validation": "^[0-9]{4,17}$"
}
]
}
]
}
}{
"status": "failed",
"status_code": 403,
"message": "<string>",
"data": {
"error": "Card checkout is not enabled for your account. Contact support to request access.",
"code": "card_checkout_not_enabled"
},
"error": {
"code": "invalid_argument",
"message": "<string>",
"request_id": "req_5f2c9a1e7b3d4c8a6e0f1b2d"
},
"error_details": {
"code": "validation_error",
"message": "The amount field is required.",
"http_status": 422,
"fields": {},
"retryable": false,
"retry_after": 123
}
}{
"status": "failed",
"status_code": 403,
"message": "<string>",
"data": {
"error": "Card checkout is not enabled for your account. Contact support to request access.",
"code": "card_checkout_not_enabled"
},
"error": {
"code": "invalid_argument",
"message": "<string>",
"request_id": "req_5f2c9a1e7b3d4c8a6e0f1b2d"
},
"error_details": {
"code": "validation_error",
"message": "The amount field is required.",
"http_status": 422,
"fields": {},
"retryable": false,
"retry_after": 123
}
}Withdrawals
List supported payout methods
Rails this customer may save, including required field ids
GET
/
card-checkout
/
customers
/
{customer_id}
/
supported-payout-methods
curl -G 'https://api.yativo.com/api/v1/card-checkout/customers/4f0c1e1a-8d2b-4c7e-9b1a-3e5f6a7b8c9d/supported-payout-methods' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET' \
--data-urlencode 'country=US' \
--data-urlencode 'supported_payout_method_id=podst_ach'
{
"status": "success",
"status_code": 200,
"message": "Request successful",
"data": {
"customer_id": "<string>",
"country": "US",
"supported_payout_methods": [
{
"id": "podst_ach",
"name": "ACH Bank Deposit",
"delivery_type": "bank_deposit",
"supports_standard_delivery": true,
"supports_instant_delivery": true,
"required_fields": [
{
"id": "fld_bank_account_number",
"label": "Account number",
"type": "bank_account_number",
"input_type": "text",
"required": true,
"sensitive": true,
"placeholder": "<string>",
"options": [
"<string>"
],
"validation": "^[0-9]{4,17}$"
}
]
}
]
}
}{
"status": "failed",
"status_code": 403,
"message": "<string>",
"data": {
"error": "Card checkout is not enabled for your account. Contact support to request access.",
"code": "card_checkout_not_enabled"
},
"error": {
"code": "invalid_argument",
"message": "<string>",
"request_id": "req_5f2c9a1e7b3d4c8a6e0f1b2d"
},
"error_details": {
"code": "validation_error",
"message": "The amount field is required.",
"http_status": 422,
"fields": {},
"retryable": false,
"retry_after": 123
}
}{
"status": "failed",
"status_code": 403,
"message": "<string>",
"data": {
"error": "Card checkout is not enabled for your account. Contact support to request access.",
"code": "card_checkout_not_enabled"
},
"error": {
"code": "invalid_argument",
"message": "<string>",
"request_id": "req_5f2c9a1e7b3d4c8a6e0f1b2d"
},
"error_details": {
"code": "validation_error",
"message": "The amount field is required.",
"http_status": 422,
"fields": {},
"retryable": false,
"retry_after": 123
}
}Pass
supported_payout_method_id to include required_fields. Use those fld_… ids as keys in Create payout method.
See Let a customer withdraw their sales.
curl -G 'https://api.yativo.com/api/v1/card-checkout/customers/4f0c1e1a-8d2b-4c7e-9b1a-3e5f6a7b8c9d/supported-payout-methods' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET' \
--data-urlencode 'country=US' \
--data-urlencode 'supported_payout_method_id=podst_ach'
Authorizations
Your API key (yativo_pk_...) from Developers → API Keys. Send together with X-Api-Secret.
Your API secret (yativo_sk_...), shown once when the key is created.
Path Parameters
Query Parameters
ISO 3166-1 alpha-2. Defaults to the customer's country.
Example:
"US"
Include required_fields for this method.
Example:
"podst_ach"

